package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID               = "uid"
	NAME              = "name"
	INFO              = "info"
	TYPE              = "type"
	TITLE             = "title"
	CONTENT           = "content"
	USER_UID          = "user_uid"
	USER_LIBRARY_ROLE = "user_library_role"
	LIBRARY_UID       = "library_uid"
	LIBRARY_TYPE      = "library_type"
	DOCUMENT_UID      = "document_uid"
	DOCUMENT_TYPE     = "document_type"
	LINK              = "link"
)

type UserLibrary struct {
	db.ModelUserPlace
	LibraryUID string `gorm:"type:char(32);index"`
}
type Library struct {
	db.ModelPlace
	SchoolUID string `gorm:"type:char(32);index"`
	Link      string `gorm:"type:varchar(255)"`
}
type Document struct {
	db.ModelContent
	LibraryUID string `gorm:"type:char(32);index"`
	Subject    string `gorm:"type:varchar(32)"`
	Grade      string `gorm:"type:varchar(32)"`
	Type       uint8  `gorm:"default:0"`
	Icon       string `gorm:"type:varchar(128)"`
	Link       string `gorm:"type:varchar(255)"`
}

func init() { db.CmdModels("", &UserLibrary{}, &Library{}, &Document{}) }
