package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_CLASS_ROLE = "user_class_role"
	CLASS_UID       = "class_uid"
	CLASS_TYPE      = "class_type"
	SCHOOL_UID      = "school_uid"
	SCHOOL_NAME     = "school_name"
	CITY_UID        = "city_uid"
	CITY_NAME       = "city_name"
	AUTH_UID        = "auth_uid"
	GRADE           = "grade"
)

type UserClass struct {
	db.ModelUserPlace
	ClassUID string `gorm:"type:char(32);index"`
}
type Class struct {
	db.ModelPlace
	SchoolUID string `gorm:"type:char(32);index"`
	Grade     string `gorm:"type:varchar(32)"`
}
type School struct {
	db.ModelStreet
}
type Homework struct {
	db.ModelContent
	ClassUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserClass{}, &Class{}, &School{}, &Homework{}) }
