package kaoshixitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/jiaowuxitong"
	"shylinux.com/x/education/src/kaoshixitong/model"
)

type Table struct {
	jiaowuxitong.Table
	list string `name:"list exam_uid uid auto" role:"void"`
}

func (s Table) Inputs(m *ice.Message, arg ...string) {
	switch arg[0] {
	case model.USER_EXAM_ROLE:
		s.InputsListRole(m, UserExamRoleList, arg...)
	case model.EXAM_TYPE:
		s.InputsList(m, ExamTypeList, arg...)
	default:
		s.Table.Inputs(m, arg...)
	}
}
func (s Table) RewriteAppend(m *ice.Message, arg ...string) *ice.Message {
	m.RewriteAppend(func(value, key string, index int) string {
		switch key {
		case model.USER_EXAM_ROLE:
			value = UserExamRole(kit.Int(value)).String()
		case model.EXAM_TYPE:
			value = ExamType(kit.Int(value)).String()
		}
		return value
	})
	return s.Table.RewriteAppend(m)
}

type Tables struct{ Table }

func (s Tables) BeforeMigrate(m *ice.Message, arg ...string) {}
