package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID              = "uid"
	NAME             = "name"
	INFO             = "info"
	TYPE             = "type"
	TITLE            = "title"
	CONTENT          = "content"
	USER_UID         = "user_uid"
	USER_COURSE_ROLE = "user_course_role"
	COURSE_UID       = "course_uid"
	COURSE_TYPE      = "course_type"
	LESSON_UID       = "lesson_uid"
)

type UserCourse struct {
	db.ModelUserPlace
	CourseUID string `gorm:"type:char(32);index"`
}
type Course struct {
	db.ModelPlace
	SchoolUID string `gorm:"type:char(32);index"`
}
type Lesson struct {
	db.ModelContent
	CourseUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserCourse{}, &Course{}, &Lesson{}) }
